tests/testMultiIndex.py

aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1942112 kB, VmSize: 1942112 kB, VmRSS: 310308 kB, VmData: 399304 kB, Mmaps: 1729, Mmaps: 1942112 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1943408 kB, VmSize: 1943152 kB, VmRSS: 311524 kB, VmData: 400344 kB, Mmaps: 1730, Mmaps: 1943152 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1943408 kB, VmSize: 1942912 kB, VmRSS: 311496 kB, VmData: 400344 kB, Mmaps: 1716, Mmaps: 1942912 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00076300000000007
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+15/meas_extensions_astrometryNet-master-g43362ee2f3+15/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.25; loadPixelBoxStartUserTime=1.852592; loadPixelBoxStartSystemTime=0.405317; loadPixelBoxStartMaxResidentSetSize=311788; loadPixelBoxStartMinorPageFaults=88437; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=88; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=158576
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.25; loadSkyCircleStartUserTime=1.8532899999999999; loadSkyCircleStartSystemTime=0.405317; loadSkyCircleStartMaxResidentSetSize=311788; loadSkyCircleStartMinorPageFaults=88447; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=96; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=158576
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.25; _readIndexFilesStartUserTime=1.853581; _readIndexFilesStartSystemTime=0.405317; _readIndexFilesStartMaxResidentSetSize=311788; _readIndexFilesStartMinorPageFaults=88447; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=96; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158576
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.25; _readIndexFilesEndUserTime=1.853921; _readIndexFilesEndSystemTime=0.405317; _readIndexFilesEndMaxResidentSetSize=311788; _readIndexFilesEndMinorPageFaults=88449; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=96; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158576
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.25; loadSkyCircleEndUserTime=1.856499; loadSkyCircleEndSystemTime=0.405317; loadSkyCircleEndMaxResidentSetSize=311788; loadSkyCircleEndMinorPageFaults=88716; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=96; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=158576
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.26; loadPixelBoxEndUserTime=1.8628969999999998; loadPixelBoxEndSystemTime=0.405317; loadPixelBoxEndMaxResidentSetSize=311788; loadPixelBoxEndMinorPageFaults=88751; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=96; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=158576
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
/build/python/miniconda3-4.2.12/lib/python3.5/site-packages/astropy/config/configuration.py:541: ConfigurationMissingWarning: Configuration defaults will be used due to OSError:Could not find unix home directory to search for astropy config dir on None
  warn(ConfigurationMissingWarning(msg))
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/python_future/0.16.0/lib/python/future-0.16.0-py3.5.egg/past/builtins/misc.py:79: DeprecationWarning: 'U' mode is deprecated
  with open(filename, "rbU") as fin:
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+15/meas_extensions_astrometryNet-master-g43362ee2f3+15/python/lsst/meas/extensions/astrometryNet/multiindex.py:213: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=len(self._multiInds))
/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+15/meas_extensions_astrometryNet-master-g43362ee2f3+15/python/lsst/meas/extensions/astrometryNet/multiindex.py:221: PyfitsDeprecationWarning: The new_table function is deprecated as of version 3.3 and may be removed in a future version.

        Use :meth:`BinTableHDU.from_columns` for new BINARY tables or :meth:`TableHDU.from_columns` for new ASCII tables instead.
  ], nrows=numFilenames)
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+1/lib/python/astrometry/util/ttime.py:13: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/15840/status' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
/build/stack/miniconda3-4.2.12-7c8e67/Linux64/astrometry_net/0.67.123ff3e.lsst1+1/lib/python/astrometry/util/ttime.py:20: ResourceWarning: unclosed file <_io.TextIOWrapper name='/proc/15840/maps' mode='r' encoding='ANSI_X3.4-1968'>
  t = open(procfn).readlines()
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.63; _readIndexFilesStartUserTime=2.225735; _readIndexFilesStartSystemTime=0.411987; _readIndexFilesStartMaxResidentSetSize=312584; _readIndexFilesStartMinorPageFaults=90173; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=104; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158577
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.64; _readIndexFilesEndUserTime=2.23071; _readIndexFilesEndSystemTime=0.411987; _readIndexFilesEndMaxResidentSetSize=312644; _readIndexFilesEndMinorPageFaults=90361; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=104; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158577
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1943672 kB, VmSize: 1943672 kB, VmRSS: 312644 kB, VmData: 400732 kB, Mmaps: 1735, Mmaps: 1943672 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1944456 kB, VmSize: 1944456 kB, VmRSS: 313432 kB, VmData: 401516 kB, Mmaps: 1735, Mmaps: 1944456 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1944456 kB, VmSize: 1944084 kB, VmRSS: 313684 kB, VmData: 401516 kB, Mmaps: 1718, Mmaps: 1944084 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00072600000000023
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+15/meas_extensions_astrometryNet-master-g43362ee2f3+15/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=2.66; loadPixelBoxStartUserTime=2.253245; loadPixelBoxStartSystemTime=0.4179; loadPixelBoxStartMaxResidentSetSize=313792; loadPixelBoxStartMinorPageFaults=90626; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=112; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=158577
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=2.66; loadSkyCircleStartUserTime=2.2536899999999997; loadSkyCircleStartSystemTime=0.41798199999999996; loadSkyCircleStartMaxResidentSetSize=313792; loadSkyCircleStartMinorPageFaults=90626; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=112; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=158577
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=2.66; _readIndexFilesStartUserTime=2.254141; _readIndexFilesStartSystemTime=0.41798199999999996; _readIndexFilesStartMaxResidentSetSize=313792; _readIndexFilesStartMinorPageFaults=90626; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=112; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158577
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=2.66; _readIndexFilesEndUserTime=2.254298; _readIndexFilesEndSystemTime=0.41798199999999996; _readIndexFilesEndMaxResidentSetSize=313792; _readIndexFilesEndMinorPageFaults=90626; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158577
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=2.66; loadSkyCircleEndUserTime=2.2584429999999998; loadSkyCircleEndSystemTime=0.41798199999999996; loadSkyCircleEndMaxResidentSetSize=313792; loadSkyCircleEndMinorPageFaults=90859; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=120; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=158577
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=2.67; loadPixelBoxEndUserTime=2.264707; loadPixelBoxEndSystemTime=0.41798199999999996; loadPixelBoxEndMaxResidentSetSize=313792; loadPixelBoxEndMinorPageFaults=90859; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=120; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=158577
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.03; _readIndexFilesStartUserTime=2.626884; _readIndexFilesStartSystemTime=0.419739; _readIndexFilesStartMaxResidentSetSize=314184; _readIndexFilesStartMinorPageFaults=90988; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=120; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158578
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.04; _readIndexFilesEndUserTime=2.630459; _readIndexFilesEndSystemTime=0.419739; _readIndexFilesEndMaxResidentSetSize=314192; _readIndexFilesEndMinorPageFaults=90994; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=120; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158578
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1944876 kB, VmSize: 1944876 kB, VmRSS: 314192 kB, VmData: 402060 kB, Mmaps: 1731, Mmaps: 1944876 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1944876 kB, VmSize: 1944876 kB, VmRSS: 314192 kB, VmData: 402060 kB, Mmaps: 1731, Mmaps: 1944876 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1944876 kB, VmSize: 1944628 kB, VmRSS: 314184 kB, VmData: 402060 kB, Mmaps: 1718, Mmaps: 1944628 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00072000000000028
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+15/meas_extensions_astrometryNet-master-g43362ee2f3+15/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.07; loadPixelBoxStartUserTime=2.653125; loadPixelBoxStartSystemTime=0.42478099999999996; loadPixelBoxStartMaxResidentSetSize=314288; loadPixelBoxStartMinorPageFaults=91018; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=128; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=158578
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.07; loadSkyCircleStartUserTime=2.653726; loadSkyCircleStartSystemTime=0.42478099999999996; loadSkyCircleStartMaxResidentSetSize=314288; loadSkyCircleStartMinorPageFaults=91018; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=136; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=158578
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.07; _readIndexFilesStartUserTime=2.654014; _readIndexFilesStartSystemTime=0.42478099999999996; _readIndexFilesStartMaxResidentSetSize=314288; _readIndexFilesStartMinorPageFaults=91018; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=136; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158578
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.07; _readIndexFilesEndUserTime=2.6543200000000002; _readIndexFilesEndSystemTime=0.42478099999999996; _readIndexFilesEndMaxResidentSetSize=314288; _readIndexFilesEndMinorPageFaults=91018; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=136; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158578
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.07; loadSkyCircleEndUserTime=2.656996; loadSkyCircleEndSystemTime=0.42478099999999996; loadSkyCircleEndMaxResidentSetSize=314288; loadSkyCircleEndMinorPageFaults=91223; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=136; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=158578
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.08; loadPixelBoxEndUserTime=2.663318; loadPixelBoxEndSystemTime=0.42478099999999996; loadPixelBoxEndMaxResidentSetSize=314288; loadPixelBoxEndMinorPageFaults=91223; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=136; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=158578
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.44; _readIndexFilesStartUserTime=3.026267; _readIndexFilesStartSystemTime=0.428595; _readIndexFilesStartMaxResidentSetSize=318588; _readIndexFilesStartMinorPageFaults=91817; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=144; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.44; _readIndexFilesEndUserTime=3.029557; _readIndexFilesEndSystemTime=0.428595; _readIndexFilesEndMaxResidentSetSize=318596; _readIndexFilesEndMinorPageFaults=91823; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=144; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1949280 kB, VmSize: 1949280 kB, VmRSS: 318596 kB, VmData: 406464 kB, Mmaps: 1731, Mmaps: 1949280 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1949280 kB, VmSize: 1949280 kB, VmRSS: 318596 kB, VmData: 406464 kB, Mmaps: 1731, Mmaps: 1949280 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1949280 kB, VmSize: 1949032 kB, VmRSS: 318588 kB, VmData: 406464 kB, Mmaps: 1718, Mmaps: 1949032 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00072500000000009
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+15/meas_extensions_astrometryNet-master-g43362ee2f3+15/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.48; loadPixelBoxStartUserTime=3.051978; loadPixelBoxStartSystemTime=0.434563; loadPixelBoxStartMaxResidentSetSize=318692; loadPixelBoxStartMinorPageFaults=91847; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=152; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.48; loadSkyCircleStartUserTime=3.052568; loadSkyCircleStartSystemTime=0.434563; loadSkyCircleStartMaxResidentSetSize=318692; loadSkyCircleStartMinorPageFaults=91847; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=152; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.48; _readIndexFilesStartUserTime=3.052865; _readIndexFilesStartSystemTime=0.434563; _readIndexFilesStartMaxResidentSetSize=318692; _readIndexFilesStartMinorPageFaults=91847; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=152; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.48; _readIndexFilesEndUserTime=3.053028; _readIndexFilesEndSystemTime=0.434569; _readIndexFilesEndMaxResidentSetSize=318692; _readIndexFilesEndMinorPageFaults=91847; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=152; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.48; loadSkyCircleEndUserTime=3.055886; loadSkyCircleEndSystemTime=0.434569; loadSkyCircleEndMaxResidentSetSize=318692; loadSkyCircleEndMinorPageFaults=92052; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=152; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.49; loadPixelBoxEndUserTime=3.062093; loadPixelBoxEndSystemTime=0.43457399999999996; loadPixelBoxEndMaxResidentSetSize=318692; loadPixelBoxEndMinorPageFaults=92052; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=152; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.85; _readIndexFilesStartUserTime=3.425709; _readIndexFilesStartSystemTime=0.437367; _readIndexFilesStartMaxResidentSetSize=318692; _readIndexFilesStartMinorPageFaults=92056; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=160; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.86; _readIndexFilesEndUserTime=3.430371; _readIndexFilesEndSystemTime=0.43745; _readIndexFilesEndMaxResidentSetSize=318692; _readIndexFilesEndMinorPageFaults=92064; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=160; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1949448 kB, VmSize: 1949404 kB, VmRSS: 318600 kB, VmData: 406464 kB, Mmaps: 1736, Mmaps: 1949404 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1949448 kB, VmSize: 1949404 kB, VmRSS: 318600 kB, VmData: 406464 kB, Mmaps: 1736, Mmaps: 1949404 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1949448 kB, VmSize: 1949032 kB, VmRSS: 318588 kB, VmData: 406464 kB, Mmaps: 1718, Mmaps: 1949032 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 182
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 77
meas_astrom*an*n_meanxcut = 455
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00075799999999981
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+15/meas_extensions_astrometryNet-master-g43362ee2f3+15/tests/astrometry_net_data/photocal/index-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=3.89; loadPixelBoxStartUserTime=3.452664; loadPixelBoxStartSystemTime=0.44336899999999996; loadPixelBoxStartMaxResidentSetSize=318700; loadPixelBoxStartMinorPageFaults=92088; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=168; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=3.89; loadSkyCircleStartUserTime=3.453139; loadSkyCircleStartSystemTime=0.44343; loadSkyCircleStartMaxResidentSetSize=318700; loadSkyCircleStartMinorPageFaults=92088; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=168; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=3.89; _readIndexFilesStartUserTime=3.453436; _readIndexFilesStartSystemTime=0.443468; _readIndexFilesStartMaxResidentSetSize=318700; _readIndexFilesStartMinorPageFaults=92088; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=168; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=3.89; _readIndexFilesEndUserTime=3.453722; _readIndexFilesEndSystemTime=0.443468; _readIndexFilesEndMaxResidentSetSize=318700; _readIndexFilesEndMinorPageFaults=92088; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=168; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=3.89; loadSkyCircleEndUserTime=3.457942; loadSkyCircleEndSystemTime=0.443468; loadSkyCircleEndMaxResidentSetSize=318700; loadSkyCircleEndMinorPageFaults=92321; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=176; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=3.9; loadPixelBoxEndUserTime=3.464181; loadPixelBoxEndSystemTime=0.443468; loadPixelBoxEndMaxResidentSetSize=318700; loadPixelBoxEndMinorPageFaults=92321; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=176; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.26; _readIndexFilesStartUserTime=3.8247869999999997; _readIndexFilesStartSystemTime=0.44726099999999996; _readIndexFilesStartMaxResidentSetSize=318700; _readIndexFilesStartMinorPageFaults=92325; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=176; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.26; _readIndexFilesEndUserTime=3.827295; _readIndexFilesEndSystemTime=0.44732; _readIndexFilesEndMaxResidentSetSize=318700; _readIndexFilesEndMinorPageFaults=92331; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=176; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 1949572 kB, VmSize: 1949272 kB, VmRSS: 318596 kB, VmData: 406464 kB, Mmaps: 1731, Mmaps: 1949272 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 1949572 kB, VmSize: 1949272 kB, VmRSS: 318596 kB, VmData: 406464 kB, Mmaps: 1731, Mmaps: 1949272 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 1949572 kB, VmSize: 1949032 kB, VmRSS: 318588 kB, VmData: 406464 kB, Mmaps: 1718, Mmaps: 1949032 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 129
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 55
meas_astrom*an*n_meanxcut = 325
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.00072000000000028
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+15/meas_extensions_astrometryNet-master-g43362ee2f3+15/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=4.3; loadPixelBoxStartUserTime=3.85181; loadPixelBoxStartSystemTime=0.451266; loadPixelBoxStartMaxResidentSetSize=318700; loadPixelBoxStartMinorPageFaults=92355; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=184; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=4.3; loadSkyCircleStartUserTime=3.852277; loadSkyCircleStartSystemTime=0.45132099999999997; loadSkyCircleStartMaxResidentSetSize=318700; loadSkyCircleStartMinorPageFaults=92355; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=184; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.3; _readIndexFilesStartUserTime=3.852691; _readIndexFilesStartSystemTime=0.45132099999999997; _readIndexFilesStartMaxResidentSetSize=318700; _readIndexFilesStartMinorPageFaults=92355; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=192; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.3; _readIndexFilesEndUserTime=3.852859; _readIndexFilesEndSystemTime=0.45132099999999997; _readIndexFilesEndMaxResidentSetSize=318700; _readIndexFilesEndMinorPageFaults=92355; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=192; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=4.3; loadSkyCircleEndUserTime=3.855414; loadSkyCircleEndSystemTime=0.45133599999999996; loadSkyCircleEndMaxResidentSetSize=318700; loadSkyCircleEndMinorPageFaults=92584; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=192; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=4.31; loadPixelBoxEndUserTime=3.861734; loadPixelBoxEndSystemTime=0.45133599999999996; loadPixelBoxEndMaxResidentSetSize=318700; loadPixelBoxEndMinorPageFaults=92584; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=192; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=158579
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
.aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=4.7; _readIndexFilesStartUserTime=4.251979; _readIndexFilesStartSystemTime=0.456177; _readIndexFilesStartMaxResidentSetSize=318700; _readIndexFilesStartMinorPageFaults=94613; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=192; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158580
aNetBasicAstrometry.loadAN DEBUG: read index files
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=4.92; _readIndexFilesEndUserTime=4.432258; _readIndexFilesEndSystemTime=0.49325199999999997; _readIndexFilesEndMaxResidentSetSize=376396; _readIndexFilesEndMinorPageFaults=109393; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=200; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158580
aNetBasicAstrometry DEBUG: Setting wcs from exposure metadata
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry DEBUG: Setting pixel scale estimate = 0.184 from given WCS estimate
aNetBasicAstrometry DEBUG: Setting RA,Dec center estimate = (215.594, 53.069) from given WCS estimate, using pixel center = (1023.5, 2305.5)
aNetBasicAstrometry DEBUG: Using parity = False
aNetBasicAstrometry INFO: Number of selected sources for astrometry : 327
aNetBasicAstrometry DEBUG: Keeping 327 of 337 sources with finite X,Y positions and PSF flux
aNetBasicAstrometry DEBUG: Feeding sources in range x=[10.1, 2035.6], y=[40.6, 4570.6] (after subtracting x0,y0 = 0.0,0.0) to Astrometry.net
aNetBasicAstrometry DEBUG: Searching for match around RA,Dec = (215.594, 53.0688) with radius 1 deg
aNetBasicAstrometry DEBUG: Searching for matches with pixel scale = 0.183766 +- 10 % -> range [0.16706, 0.202142] arcsec/pix
aNetBasicAstrometry DEBUG: Searching for match with parity = False
aNetBasicAstrometry DEBUG: Index files loaded: Memory: VmPeak: 2031180 kB, VmSize: 2030924 kB, VmRSS: 377524 kB, VmData: 464356 kB, Mmaps: 2925, Mmaps: 2030924 kB
aNetBasicAstrometry DEBUG: Solving finished: Memory: VmPeak: 2031324 kB, VmSize: 2031324 kB, VmRSS: 381752 kB, VmData: 464756 kB, Mmaps: 2925, Mmaps: 2031324 kB
aNetBasicAstrometry DEBUG: Index files unloaded: Memory: VmPeak: 2031324 kB, VmSize: 2007324 kB, VmRSS: 376960 kB, VmData: 464756 kB, Mmaps: 1719, Mmaps: 2007324 kB
aNetBasicAstrometry DEBUG: Solved!
aNetBasicAstrometry DEBUG: WCS: NAXIS = 2
// number of data axes
EQUINOX = 2000.0000000000
// Equinox of coordinates
RADESYS = "FK5"
// Coordinate system for equinox
CRPIX1 = 1140.7707286100
// WCS Coordinate reference pixel
CRPIX2 = 1139.1831378553
// WCS Coordinate reference pixel
CD1_1 = 5.1188746460527e-05
// WCS Coordinate scale matrix
CD1_2 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_1 = 1.3691915962525e-07
// WCS Coordinate scale matrix
CD2_2 = -5.1188746460527e-05
// WCS Coordinate scale matrix
CRVAL1 = 215.60317370228
// WCS Ref value (RA in decimal degrees)
CRVAL2 = 53.128454898498
// WCS Ref value (DEC in decimal degrees)
CUNIT1 = "deg"
CUNIT2 = "deg"
CTYPE1 = "RA---TAN"
// WCS Coordinate type
CTYPE2 = "DEC--TAN"
// WCS Coordinate type

aNetBasicAstrometry DEBUG: qa: meas_astrom*an*n_tried = 11316
meas_astrom*an*n_matched = 1
meas_astrom*an*n_scaleok = 1
meas_astrom*an*n_cxdxcut = 4708
meas_astrom*an*n_meanxcut = 28738
meas_astrom*an*n_radeccut = 0
meas_astrom*an*n_scalecut = 0
meas_astrom*an*n_verified = 1
meas_astrom*an*time_used = 0.0093370000000004
meas_astrom*an*best_logodds = 561.74713134766
meas_astrom*an*best_index*id = -1364614477
meas_astrom*an*best_index*hp = 11
meas_astrom*an*best_index*nside = 2
meas_astrom*an*best_index*name = "/build/stack/miniconda3-4.2.12-7c8e67/EupsBuildDir/Linux64/meas_extensions_astrometryNet-master-g43362ee2f3+15/meas_extensions_astrometryNet-master-g43362ee2f3+15/tests/astrometry_net_data/photocal/mindex-photocal-test.fits"
meas_astrom*an*best_match*starinds = "4651, 3034, 4617, 4612"
meas_astrom*an*best_match*coderr = 0.0005059317
meas_astrom*an*best_match*nmatch = 180
meas_astrom*an*best_match*ndistract = 108
meas_astrom*an*best_match*nconflict = 7
meas_astrom*an*best_match*nfield = 327
meas_astrom*an*best_match*nindex = 242
meas_astrom*an*best_match*nbest = 295
meas_astrom*an*best_match*logodds = 561.7471
meas_astrom*an*best_match*parity = 1
meas_astrom*an*best_match*nobjs = 10

aNetBasicAstrometry INFO: Got astrometric solution from Astrometry.net
aNetBasicAstrometry DEBUG: New WCS says image center pixel (1023.5, 2305.5) -> RA,Dec (215.594, 53.069)
aNetBasicAstrometry DEBUG: Setting filterName = 'i' from exposure metadata
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxStartCpuTime=5.01; loadPixelBoxStartUserTime=4.512155; loadPixelBoxStartSystemTime=0.509259; loadPixelBoxStartMaxResidentSetSize=382216; loadPixelBoxStartMinorPageFaults=110886; loadPixelBoxStartMajorPageFaults=0; loadPixelBoxStartBlockInputs=32; loadPixelBoxStartBlockOutputs=208; loadPixelBoxStartVoluntaryContextSwitches=33; loadPixelBoxStartInvoluntaryContextSwitches=158580
aNetBasicAstrometry.loadAN INFO: Loading reference objects using center (1023.5, 2305.5) pix = Fk5Coord(215.5935343, 53.0686851, 2000.00) sky and radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleStartCpuTime=5.01; loadSkyCircleStartUserTime=4.512828; loadSkyCircleStartSystemTime=0.509259; loadSkyCircleStartMaxResidentSetSize=382216; loadSkyCircleStartMinorPageFaults=110886; loadSkyCircleStartMajorPageFaults=0; loadSkyCircleStartBlockInputs=32; loadSkyCircleStartBlockOutputs=208; loadSkyCircleStartVoluntaryContextSwitches=33; loadSkyCircleStartInvoluntaryContextSwitches=158580
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesStartCpuTime=5.01; _readIndexFilesStartUserTime=4.513145; _readIndexFilesStartSystemTime=0.509259; _readIndexFilesStartMaxResidentSetSize=382216; _readIndexFilesStartMinorPageFaults=110886; _readIndexFilesStartMajorPageFaults=0; _readIndexFilesStartBlockInputs=32; _readIndexFilesStartBlockOutputs=208; _readIndexFilesStartVoluntaryContextSwitches=33; _readIndexFilesStartInvoluntaryContextSwitches=158580
aNetBasicAstrometry.loadAN DEBUG: _readIndexFilesEndCpuTime=5.01; _readIndexFilesEndUserTime=4.513308; _readIndexFilesEndSystemTime=0.509276; _readIndexFilesEndMaxResidentSetSize=382216; _readIndexFilesEndMinorPageFaults=110886; _readIndexFilesEndMajorPageFaults=0; _readIndexFilesEndBlockInputs=32; _readIndexFilesEndBlockOutputs=208; _readIndexFilesEndVoluntaryContextSwitches=33; _readIndexFilesEndInvoluntaryContextSwitches=158580
aNetBasicAstrometry.loadAN DEBUG: search for objects at Fk5Coord(215.5935343, 53.0686851, 2000.00) with radius 0.132540830418013 deg
aNetBasicAstrometry.loadAN DEBUG: found 604 objects
aNetBasicAstrometry.loadAN DEBUG: loadSkyCircleEndCpuTime=5.13; loadSkyCircleEndUserTime=4.615889; loadSkyCircleEndSystemTime=0.520227; loadSkyCircleEndMaxResidentSetSize=382216; loadSkyCircleEndMinorPageFaults=114184; loadSkyCircleEndMajorPageFaults=0; loadSkyCircleEndBlockInputs=32; loadSkyCircleEndBlockOutputs=208; loadSkyCircleEndVoluntaryContextSwitches=33; loadSkyCircleEndInvoluntaryContextSwitches=158580
aNetBasicAstrometry.loadAN DEBUG: trimmed 342 out-of-bbox objects, leaving 262
aNetBasicAstrometry.loadAN INFO: Loaded 262 reference objects
aNetBasicAstrometry.loadAN DEBUG: loadPixelBoxEndCpuTime=5.15; loadPixelBoxEndUserTime=4.631564; loadPixelBoxEndSystemTime=0.520299; loadPixelBoxEndMaxResidentSetSize=382216; loadPixelBoxEndMinorPageFaults=114184; loadPixelBoxEndMajorPageFaults=0; loadPixelBoxEndBlockInputs=32; loadPixelBoxEndBlockOutputs=208; loadPixelBoxEndVoluntaryContextSwitches=33; loadPixelBoxEndInvoluntaryContextSwitches=158580
aNetBasicAstrometry DEBUG: 262 reference sources; 262 unique IDs
aNetBasicAstrometry DEBUG: 59 reference objects match input sources using input WCS
aNetBasicAstrometry DEBUG: SIP iteration 0: 117 objects match, previous = 59; clipped mean scatter = 0.23544371542969214 arcsec, previous = 0.5938205124850208;  max match dist = 0.6184303206889015 arcsec, previous = 1.1928971565634858
aNetBasicAstrometry DEBUG: SIP iteration 1: 160 objects match, previous = 117; clipped mean scatter = 0.1618816528317468 arcsec, previous = 0.23544371542969214;  max match dist = 0.4083580181035795 arcsec, previous = 0.6184303206889015
aNetBasicAstrometry DEBUG: SIP iteration 2: 181 objects match, previous = 160; clipped mean scatter = 0.11968094153531172 arcsec, previous = 0.1618816528317468;  max match dist = 0.2934172686150461 arcsec, previous = 0.4083580181035795
aNetBasicAstrometry DEBUG: SIP iteration 3: 186 objects match, previous = 181; clipped mean scatter = 0.10541779579347402 arcsec, previous = 0.11968094153531172;  max match dist = 0.2643762806425247 arcsec, previous = 0.2934172686150461
aNetBasicAstrometry DEBUG: SIP iteration 4: 186 objects match, previous = 186; clipped mean scatter = 0.10658028507798349 arcsec, previous = 0.10541779579347402;  max match dist = 0.2657518003721863 arcsec, previous = 0.2643762806425247
aNetBasicAstrometry DEBUG: Fit WCS: use iter 3 because max match distance no better in next iter:  0.264376 < 0.265752 arcsec
aNetBasicAstrometry DEBUG: 186 reference objects match input sources using SIP WCS
...
----------------------------------------------------------------------
Ran 9 tests in 3.398s

OK
Mem0: Memory usage:
max rss: [0.3187, 'MB'] MB
VmPeak 1949572 kB
VmSize 1949032 kB
VmRSS 318588 kB
VmData 406464 kB
VmStk 168 kB
Number of mmaps: 1718
None
FD0: 5
100 multi-index files

Mem1:
Memory usage:
max rss: [0.376396, 'MB'] MB
VmPeak 2029744 kB
VmSize 2029744 kB
VmRSS 376396 kB
VmData 463176 kB
VmStk 168 kB
Number of mmaps: 2925
None
FD1: 5

Mem2:
Memory usage:
max rss: [0.382216, 'MB'] MB
VmPeak 2031324 kB
VmSize 2007324 kB
VmRSS 376960 kB
VmData 464756 kB
VmStk 168 kB
Number of mmaps: 1719
None
FD2: 5

Mem3:
Memory usage:
max rss: [0.382216, 'MB'] MB
VmPeak 2031324 kB
VmSize 2007068 kB
VmRSS 376704 kB
VmData 464500 kB
VmStk 168 kB
Number of mmaps: 1720
None
FD3: 5
